---------------------
PatchSet 3004 
Date: 2001/09/10 19:54:51
Author: serassio
Branch: nt-2_3-tolsty
Tag: (none) 
Log:
Fixed indent problems

Members: 
	include/Array.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/GNUregex.h:1.1.1.2.44.1.2.1->1.1.1.2.44.1.2.2 
	include/PSAPI.H:1.1.2.1.2.1->1.1.2.1.2.2 
	include/READDIR.H:1.1.2.1.2.1->1.1.2.1.2.2 
	include/asn1.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/cache_snmp.h:1.1.1.3.30.1.2.1->1.1.1.3.30.1.2.2 
	include/crypt.h:1.1.2.1.2.1->1.1.2.1.2.2 
	include/getopt.h:1.1.2.1.2.1->1.1.2.1.2.2 
	include/hash.h:1.1.1.1.42.1.2.1->1.1.1.1.42.1.2.2 
	include/heap.h:1.1.1.1.2.1.2.1->1.1.1.1.2.1.2.2 
	include/md5.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/parse.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/radix.h:1.1.1.1.42.2.2.1->1.1.1.1.42.2.2.2 
	include/rfc1035.h:1.1.1.1.4.1.2.1.2.1->1.1.1.1.4.1.2.1.2.2 
	include/snmp_api.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_api_error.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_api_util.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_client.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_coexist.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_debug.h:1.1.1.2.44.1.2.1->1.1.1.2.44.1.2.2 
	include/snmp_error.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_impl.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_msg.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_pdu.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_session.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_util.h:1.1.1.1.44.1.2.1->1.1.1.1.44.1.2.2 
	include/snmp_vars.h:1.1.1.2.30.1.2.1->1.1.1.2.30.1.2.2 
	include/splay.h:1.1.1.2.2.1.2.1->1.1.1.2.2.1.2.2 

Index: squid/include/Array.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Array.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/Array.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/Array.h	10 Sep 2001 19:54:51 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: Array.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:54:51 serassio Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -32,20 +32,18 @@
 
 /* see Array.c for more documentation */
 
-typedef struct
-{
+typedef struct {
     int capacity;
     int count;
     void **items;
-}
-Array;
+} Array;
 
 
 extern Array *arrayCreate();
 extern void arrayInit(Array * s);
 extern void arrayClean(Array * s);
-extern void arrayDestroy(Array * s);
-extern void arrayAppend(Array * s, void *obj);
+extern void arrayDestroy(Array *s);
+extern void arrayAppend(Array *s, void *obj);
 extern void arrayPreAppend(Array * s, int app_count);
 
 
Index: squid/include/GNUregex.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/GNUregex.h,v
retrieving revision 1.1.1.2.44.1.2.1
retrieving revision 1.1.1.2.44.1.2.2
diff -u -r1.1.1.2.44.1.2.1 -r1.1.1.2.44.1.2.2
--- squid/include/GNUregex.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.44.1.2.1
+++ squid/include/GNUregex.h	10 Sep 2001 19:54:51 -0000	1.1.1.2.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: GNUregex.h,v 1.1.1.2.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: GNUregex.h,v 1.1.1.2.44.1.2.2 2001/09/10 19:54:51 serassio Exp $
  */
 
 /* Definitions for data structures and routines for the regular
@@ -247,8 +247,7 @@
 
 /* If any error codes are removed, changed, or added, update the
  * `re_error_msg' table in regex.c.  */
-typedef enum
-{
+typedef enum {
     REG_NOERROR = 0,		/* Success.  */
     REG_NOMATCH,		/* Didn't find a match (for regexec).  */
 
@@ -271,8 +270,7 @@
     REG_EEND,			/* Premature end.  */
     REG_ESIZE,			/* Compiled pattern bigger than 2^16 bytes.  */
     REG_ERPAREN			/* Unmatched ) or \); not returned from regcomp.  */
-}
-reg_errcode_t;
+} reg_errcode_t;
 
 /* This data structure represents a compiled pattern.  Before calling
  * the pattern compiler, the fields `buffer', `allocated', `fastmap',
@@ -280,8 +278,7 @@
  * compiled, the `re_nsub' field is available.  All other fields are
  * private to the regex routines.  */
 
-struct re_pattern_buffer
-{
+struct re_pattern_buffer {
 /* [[[begin pattern_buffer]]] */
     /* Space that holds the compiled pattern.  It is declared as
      * `unsigned char *' because its elements are
@@ -361,8 +358,7 @@
 
 /* This is the structure we store register match data in.  See
  * regex.texinfo for a full description of what registers match.  */
-struct re_registers
-{
+struct re_registers {
     unsigned num_regs;
     regoff_t *start;
     regoff_t *end;
@@ -380,12 +376,10 @@
 /* POSIX specification for registers.  Aside from the different names than
  * `re_registers', POSIX uses an array of structures, instead of a
  * structure of arrays.  */
-typedef struct
-{
+typedef struct {
     regoff_t rm_so;		/* Byte offset from string's start to substring's start.  */
     regoff_t rm_eo;		/* Byte offset from string's start to substring's end.  */
-}
-regmatch_t;
+} regmatch_t;
 
 /* Declarations for routines.  */
 
@@ -413,7 +407,8 @@
  * and syntax given by the global `re_syntax_options', into the buffer
  * BUFFER.  Return NULL if successful, and an error string if not.  */
 extern const char *re_compile_pattern
-_RE_ARGS((const char *pattern, int length, struct re_pattern_buffer * buffer));
+     _RE_ARGS((const char *pattern, int length,
+	struct re_pattern_buffer * buffer));
 
 
 /* Compile a fastmap for the compiled pattern in BUFFER; used to
@@ -428,29 +423,29 @@
  * match, or -2 for an internal error.  Also return register
  * information in REGS (if REGS and BUFFER->no_sub are nonzero).  */
 extern int re_search
-_RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
-int length, int start, int range, struct re_registers * regs));
+    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
+	int length, int start, int range, struct re_registers * regs));
 
 
 /* Like `re_search', but search in the concatenation of STRING1 and
  * STRING2.  Also, stop searching at index START + STOP.  */
 extern int re_search_2
-_RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
-int length1, const char *string2, int length2,
+    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
+	int length1, const char *string2, int length2,
 	int start, int range, struct re_registers * regs, int stop));
 
 
 /* Like `re_search', but return how many characters in STRING the regexp
  * in BUFFER matched, starting at position START.  */
 extern int re_match
-_RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
-int length, int start, struct re_registers * regs));
+    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
+	int length, int start, struct re_registers * regs));
 
 
 /* Relates to `re_match' as `re_search_2' relates to `re_search'.  */
 extern int re_match_2
-_RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
-int length1, const char *string2, int length2,
+    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
+	int length1, const char *string2, int length2,
 	int start, struct re_registers * regs, int stop));
 
 
@@ -467,7 +462,7 @@
  * PATTERN_BUFFER will allocate its own register data, without
  * freeing the old data.  */
 extern void re_set_registers
-_RE_ARGS((struct re_pattern_buffer * buffer, struct re_registers * regs,
+     _RE_ARGS((struct re_pattern_buffer * buffer, struct re_registers * regs,
 	unsigned num_regs, regoff_t * starts, regoff_t * ends));
 
 /* 4.2 bsd compatibility.  */
@@ -477,10 +472,11 @@
 /* POSIX compatibility.  */
 extern int regcomp _RE_ARGS((regex_t * preg, const char *pattern, int cflags));
 extern int regexec
-_RE_ARGS((const regex_t * preg, const char *string, size_t nmatch,
-regmatch_t pmatch[], int eflags));
+    _RE_ARGS((const regex_t * preg, const char *string, size_t nmatch,
+	regmatch_t pmatch[], int eflags));
 extern size_t regerror
-_RE_ARGS((int errcode, const regex_t * preg, char *errbuf, size_t errbuf_size));
+       _RE_ARGS((int errcode, const regex_t * preg, char *errbuf,
+	size_t errbuf_size));
 extern void regfree _RE_ARGS((regex_t * preg));
 
 #endif /* not __REGEXP_LIBRARY_H__ */
Index: squid/include/PSAPI.H
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/PSAPI.H,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/include/PSAPI.H	27 Aug 2001 21:48:17 -0000	1.1.2.1.2.1
+++ squid/include/PSAPI.H	10 Sep 2001 19:58:59 -0000	1.1.2.1.2.2
@@ -1,5 +1,7 @@
 /*++ BUILD Version: 0001    // Increment this if a change has global effects
+
 Copyright (c) 1994  Microsoft Corporation
+
 Module Name:
 
     psapi.h
@@ -20,162 +22,229 @@
 #define _PSAPI_H_
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
-    BOOL WINAPI EnumProcesses(DWORD * lpidProcess, DWORD cb, DWORD * cbNeeded);
-
-           BOOL
-	WINAPI
-	EnumProcessModules(HANDLE hProcess,
-	HMODULE * lphModule, DWORD cb, LPDWORD lpcbNeeded);
-
-           DWORD
-	WINAPI
-	GetModuleBaseNameA(HANDLE hProcess,
-	HMODULE hModule, LPSTR lpBaseName, DWORD nSize);
-
-           DWORD
-	WINAPI
-	GetModuleBaseNameW(HANDLE hProcess,
-	HMODULE hModule, LPWSTR lpBaseName, DWORD nSize);
+BOOL
+WINAPI
+EnumProcesses(
+    DWORD * lpidProcess,
+    DWORD   cb,
+    DWORD * cbNeeded
+    );
+
+BOOL
+WINAPI
+EnumProcessModules(
+    HANDLE hProcess,
+    HMODULE *lphModule,
+    DWORD cb,
+    LPDWORD lpcbNeeded
+    );
+
+DWORD
+WINAPI
+GetModuleBaseNameA(
+    HANDLE hProcess,
+    HMODULE hModule,
+    LPSTR lpBaseName,
+    DWORD nSize
+    );
+
+DWORD
+WINAPI
+GetModuleBaseNameW(
+    HANDLE hProcess,
+    HMODULE hModule,
+    LPWSTR lpBaseName,
+    DWORD nSize
+    );
 
 #ifdef UNICODE
 #define GetModuleBaseName  GetModuleBaseNameW
 #else
 #define GetModuleBaseName  GetModuleBaseNameA
-#endif				// !UNICODE
+#endif // !UNICODE
 
 
-           DWORD
-	WINAPI
-	GetModuleFileNameExA(HANDLE hProcess,
-	HMODULE hModule, LPSTR lpFilename, DWORD nSize);
-
-           DWORD
-	WINAPI
-	GetModuleFileNameExW(HANDLE hProcess,
-	HMODULE hModule, LPWSTR lpFilename, DWORD nSize);
+DWORD
+WINAPI
+GetModuleFileNameExA(
+    HANDLE hProcess,
+    HMODULE hModule,
+    LPSTR lpFilename,
+    DWORD nSize
+    );
+
+DWORD
+WINAPI
+GetModuleFileNameExW(
+    HANDLE hProcess,
+    HMODULE hModule,
+    LPWSTR lpFilename,
+    DWORD nSize
+    );
 
 #ifdef UNICODE
 #define GetModuleFileNameEx  GetModuleFileNameExW
 #else
 #define GetModuleFileNameEx  GetModuleFileNameExA
-#endif				// !UNICODE
-
-
-    typedef struct _MODULEINFO
-    {
-	LPVOID lpBaseOfDll;
-	DWORD SizeOfImage;
-	LPVOID EntryPoint;
-    }
-    MODULEINFO , *LPMODULEINFO;
-
-
-                BOOL
-	WINAPI
-	GetModuleInformation(HANDLE hProcess,
-	HMODULE hModule, LPMODULEINFO lpmodinfo, DWORD cb);
-
-
-    BOOL WINAPI EmptyWorkingSet(HANDLE hProcess);
-
-
-    BOOL WINAPI QueryWorkingSet(HANDLE hProcess, PVOID pv, DWORD cb);
-
-    BOOL WINAPI InitializeProcessForWsWatch(HANDLE hProcess);
-
-
-    typedef struct _PSAPI_WS_WATCH_INFORMATION
-    {
-	LPVOID FaultingPc;
-	LPVOID FaultingVa;
-    }
-    PSAPI_WS_WATCH_INFORMATION , *PPSAPI_WS_WATCH_INFORMATION;
-
-                                BOOL
-	WINAPI
-	GetWsChanges(HANDLE hProcess,
-	PPSAPI_WS_WATCH_INFORMATION lpWatchInfo, DWORD cb);
+#endif // !UNICODE
 
-                                DWORD
-	WINAPI
-	GetMappedFileNameW(HANDLE hProcess,
-	LPVOID lpv, LPWSTR lpFilename, DWORD nSize);
 
-                                DWORD
-	WINAPI
-	GetMappedFileNameA(HANDLE hProcess,
-	LPVOID lpv, LPSTR lpFilename, DWORD nSize);
+typedef struct _MODULEINFO {
+    LPVOID lpBaseOfDll;
+    DWORD SizeOfImage;
+    LPVOID EntryPoint;
+} MODULEINFO, *LPMODULEINFO;
+
+
+BOOL
+WINAPI
+GetModuleInformation(
+    HANDLE hProcess,
+    HMODULE hModule,
+    LPMODULEINFO lpmodinfo,
+    DWORD cb
+    );
+
+
+BOOL
+WINAPI
+EmptyWorkingSet(
+    HANDLE hProcess
+    );
+
+
+BOOL
+WINAPI
+QueryWorkingSet(
+    HANDLE hProcess,
+    PVOID pv,
+    DWORD cb
+    );
+
+BOOL
+WINAPI
+InitializeProcessForWsWatch(
+    HANDLE hProcess
+    );
+
+
+typedef struct _PSAPI_WS_WATCH_INFORMATION {
+    LPVOID FaultingPc;
+    LPVOID FaultingVa;
+} PSAPI_WS_WATCH_INFORMATION, *PPSAPI_WS_WATCH_INFORMATION;
+
+BOOL
+WINAPI
+GetWsChanges(
+    HANDLE hProcess,
+    PPSAPI_WS_WATCH_INFORMATION lpWatchInfo,
+    DWORD cb
+    );
+
+DWORD
+WINAPI
+GetMappedFileNameW(
+    HANDLE hProcess,
+    LPVOID lpv,
+    LPWSTR lpFilename,
+    DWORD nSize
+    );
+
+DWORD
+WINAPI
+GetMappedFileNameA(
+    HANDLE hProcess,
+    LPVOID lpv,
+    LPSTR lpFilename,
+    DWORD nSize
+    );
 
 #ifdef UNICODE
 #define GetMappedFilenameEx  GetMappedFilenameExW
 #else
 #define GetMappedFilenameEx  GetMappedFilenameExA
-#endif				// !UNICODE
+#endif // !UNICODE
 
-                                BOOL
-	WINAPI
-	EnumDeviceDrivers(LPVOID * lpImageBase, DWORD cb, LPDWORD lpcbNeeded);
-
-
-                                DWORD
-	WINAPI
-	GetDeviceDriverBaseNameA(LPVOID ImageBase,
-	LPSTR lpBaseName, DWORD nSize);
-
-                                DWORD
-	WINAPI
-	GetDeviceDriverBaseNameW(LPVOID ImageBase,
-	LPWSTR lpBaseName, DWORD nSize);
+BOOL
+WINAPI
+EnumDeviceDrivers(
+    LPVOID *lpImageBase,
+    DWORD cb,
+    LPDWORD lpcbNeeded
+    );
+
+
+DWORD
+WINAPI
+GetDeviceDriverBaseNameA(
+    LPVOID ImageBase,
+    LPSTR lpBaseName,
+    DWORD nSize
+    );
+
+DWORD
+WINAPI
+GetDeviceDriverBaseNameW(
+    LPVOID ImageBase,
+    LPWSTR lpBaseName,
+    DWORD nSize
+    );
 
 #ifdef UNICODE
 #define GetDeviceDriverBaseName  GetDeviceDriverBaseNameW
 #else
 #define GetDeviceDriverBaseName  GetDeviceDriverBaseNameA
-#endif				// !UNICODE
+#endif // !UNICODE
 
 
-                                DWORD
-	WINAPI
-	GetDeviceDriverFileNameA(LPVOID ImageBase,
-	LPSTR lpFilename, DWORD nSize);
-
-                                DWORD
-	WINAPI
-	GetDeviceDriverFileNameW(LPVOID ImageBase,
-	LPWSTR lpFilename, DWORD nSize);
+DWORD
+WINAPI
+GetDeviceDriverFileNameA(
+    LPVOID ImageBase,
+    LPSTR lpFilename,
+    DWORD nSize
+    );
+
+DWORD
+WINAPI
+GetDeviceDriverFileNameW(
+    LPVOID ImageBase,
+    LPWSTR lpFilename,
+    DWORD nSize
+    );
 
 #ifdef UNICODE
 #define GetDeviceDriverFileName  GetDeviceDriverFileNameW
 #else
 #define GetDeviceDriverFileName  GetDeviceDriverFileNameA
-#endif				// !UNICODE
+#endif // !UNICODE
 
 // Structure for GetProcessMemoryInfo()
 
-    typedef struct _PROCESS_MEMORY_COUNTERS
-    {
-	DWORD cb;
-	DWORD PageFaultCount;
-	DWORD PeakWorkingSetSize;
-	DWORD WorkingSetSize;
-	DWORD QuotaPeakPagedPoolUsage;
-	DWORD QuotaPagedPoolUsage;
-	DWORD QuotaPeakNonPagedPoolUsage;
-	DWORD QuotaNonPagedPoolUsage;
-	DWORD PagefileUsage;
-	DWORD PeakPagefileUsage;
-    }
-    PROCESS_MEMORY_COUNTERS;
-    typedef PROCESS_MEMORY_COUNTERS *PPROCESS_MEMORY_COUNTERS;
-
-                            BOOL
-	WINAPI
-	GetProcessMemoryInfo(HANDLE Process,
-	PPROCESS_MEMORY_COUNTERS ppsmemCounters, DWORD cb);
+typedef struct _PROCESS_MEMORY_COUNTERS {
+    DWORD cb;
+    DWORD PageFaultCount;
+    DWORD PeakWorkingSetSize;
+    DWORD WorkingSetSize;
+    DWORD QuotaPeakPagedPoolUsage;
+    DWORD QuotaPagedPoolUsage;
+    DWORD QuotaPeakNonPagedPoolUsage;
+    DWORD QuotaNonPagedPoolUsage;
+    DWORD PagefileUsage;
+    DWORD PeakPagefileUsage;
+} PROCESS_MEMORY_COUNTERS;
+typedef PROCESS_MEMORY_COUNTERS *PPROCESS_MEMORY_COUNTERS;
+
+BOOL
+WINAPI
+GetProcessMemoryInfo(
+    HANDLE Process,
+    PPROCESS_MEMORY_COUNTERS ppsmemCounters,
+    DWORD cb
+    );
 
 #ifdef __cplusplus
 }
Index: squid/include/READDIR.H
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/READDIR.H,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/include/READDIR.H	27 Aug 2001 21:48:17 -0000	1.1.2.1.2.1
+++ squid/include/READDIR.H	10 Sep 2001 19:58:59 -0000	1.1.2.1.2.2
@@ -6,32 +6,29 @@
 #include <io.h>
 //#include <stdio.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <sys/types.h> 
 #define off_t _off_t
 
 
 /* struct dirent - same as Unix */
-struct dirent
-{
-    long d_ino;			/* inode (always 1 in WIN32) */
-    off_t d_off;		/* offset to this dirent */
-    unsigned short d_reclen;	/* length of d_name */
-    char d_name[_MAX_FNAME + 1];	/* filename (null terminated) */
+struct dirent {
+    long d_ino;                    /* inode (always 1 in WIN32) */
+    off_t d_off;                /* offset to this dirent */
+    unsigned short d_reclen;    /* length of d_name */
+    char d_name[_MAX_FNAME+1];    /* filename (null terminated) */
 };
 
 /* typedef DIR - not the same as Unix */
-typedef struct
-{
-    long handle;		/* _findfirst/_findnext handle */
-    short offset;		/* offset into directory */
-    short finished;		/* 1 if there are not more files */
-    struct _finddata_t fileinfo;	/* from _findfirst/_findnext */
-    char *dir;			/* the dir we are reading */
-    struct dirent dent;		/* the dirent to return */
-}
-DIR;
+typedef struct {
+    long handle;                /* _findfirst/_findnext handle */
+    short offset;                /* offset into directory */
+    short finished;             /* 1 if there are not more files */
+    struct _finddata_t fileinfo;  /* from _findfirst/_findnext */
+    char *dir;                  /* the dir we are reading */
+    struct dirent dent;         /* the dirent to return */
+} DIR;
 
 /* Function prototypes */
-DIR *opendir(const char *);
-struct dirent *readdir(DIR *);
+DIR * opendir(const char *);
+struct dirent * readdir(DIR *);
 int closedir(DIR *);
Index: squid/include/asn1.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/asn1.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/asn1.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/asn1.h	10 Sep 2001 19:54:51 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,6 @@
 #ifndef _SNMP_ASN1_H_
 #define _SNMP_ASN1_H_
+
 /*
  * Definitions for Abstract Syntax Notation One, ASN.1
  * As defined in ISO/IS 8824 and ISO/IS 8825
@@ -27,7 +28,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: asn1.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: asn1.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:54:51 serassio Exp $
  * 
  **********************************************************************/
 
@@ -66,8 +67,7 @@
 #define IS_EXTENSION_ID(byte)	(((byte) & ASN_EXTENSION_ID) == ASN_EXTENSION_ID)
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     u_char *asn_build_header(u_char *, int *, u_char, int);
Index: squid/include/cache_snmp.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/cache_snmp.h,v
retrieving revision 1.1.1.3.30.1.2.1
retrieving revision 1.1.1.3.30.1.2.2
diff -u -r1.1.1.3.30.1.2.1 -r1.1.1.3.30.1.2.2
--- squid/include/cache_snmp.h	27 Aug 2001 21:48:17 -0000	1.1.1.3.30.1.2.1
+++ squid/include/cache_snmp.h	10 Sep 2001 19:54:51 -0000	1.1.1.3.30.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: cache_snmp.h,v 1.1.1.3.30.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: cache_snmp.h,v 1.1.1.3.30.1.2.2 2001/09/10 19:54:51 serassio Exp $
  */
 
 #ifdef SQUID_SNMP
@@ -56,8 +56,7 @@
  * cacheSystem group 
  */
 
-enum
-{
+enum {
     SYS_START,
     SYSVMSIZ,
     SYSSTOR,
@@ -72,8 +71,7 @@
  * cacheConfig group 
  */
 
-enum
-{
+enum {
     CONF_START,
     CONF_ADMIN,
     CONF_VERSION,
@@ -86,8 +84,7 @@
 #define LEN_CONF LEN_SQ_CONF + 1
 #define LEN_CONF_INST LEN_SQ_CONF + 2
 
-enum
-{
+enum {
     CONF_ST_START,
     CONF_ST_MMAXSZ,
     CONF_ST_SWMAXSZ,
@@ -103,16 +100,14 @@
  * cacheMesh group 
  */
 
-enum
-{
+enum {
     MESH_START,
     MESH_PTBL,
     MESH_CTBL,
     MESH_END
 };
 
-enum
-{				/* cachePeerTable */
+enum {				/* cachePeerTable */
     MESH_PTBL_START,
     MESH_PTBL_NAME,
     MESH_PTBL_IP,
@@ -130,8 +125,7 @@
     MESH_PTBL_END
 };
 
-enum
-{				/* cacheClientTable */
+enum {				/* cacheClientTable */
     MESH_CTBL_START,
     MESH_CTBL_ADDR,
     MESH_CTBL_HTREQ,
@@ -149,8 +143,7 @@
  * cacheNetwork group 
  */
 
-enum
-{
+enum {
     NET_START,
     NET_IP_CACHE,
     NET_FQDN_CACHE,
@@ -158,8 +151,7 @@
     NET_END
 };
 
-enum
-{
+enum {
     IP_START,
     IP_ENT,
     IP_REQ,
@@ -172,8 +164,7 @@
     IP_END
 };
 
-enum
-{
+enum {
     FQDN_START,
     FQDN_ENT,
     FQDN_REQ,
@@ -185,8 +176,7 @@
     FQDN_END
 };
 
-enum
-{
+enum {
     DNS_START,
     DNS_REQ,
     DNS_REP,
@@ -198,16 +188,14 @@
  * Cache Performance Group 
  */
 
-enum
-{
+enum {
     PERF_START,
     PERF_SYS,
     PERF_PROTO,
     PERF_END
 };
 
-enum
-{
+enum {
     PERF_SYS_START,
     PERF_SYS_PF,
     PERF_SYS_NUMR,
@@ -223,16 +211,14 @@
     PERF_SYS_END
 };
 
-enum
-{
+enum {
     PERF_PROTOSTAT_START,
     PERF_PROTOSTAT_AGGR,
     PERF_PROTOSTAT_MEDIAN,
     PERF_PROTOSTAT_END
 };
 
-enum
-{
+enum {
     PERF_PROTOSTAT_AGGR_START,
     PERF_PROTOSTAT_AGGR_HTTP_REQ,
     PERF_PROTOSTAT_AGGR_HTTP_HITS,
@@ -252,8 +238,7 @@
     PERF_PROTOSTAT_AGGR_END
 };
 
-enum
-{
+enum {
     PERF_MEDIAN_START,
     PERF_MEDIAN_TIME,
     PERF_MEDIAN_HTTP_ALL,
Index: squid/include/crypt.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/crypt.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/include/crypt.h	27 Aug 2001 21:48:17 -0000	1.1.2.1.2.1
+++ squid/include/crypt.h	10 Sep 2001 19:54:51 -0000	1.1.2.1.2.2
@@ -26,20 +26,20 @@
 
 
 #ifdef WIN32
-    void encrypt(char *block, int edflag);
-    void setkey(char *key);
-    char *crypt(const char *key, const char *salt);
+void encrypt(char *block, int edflag);
+void setkey(char *key);
+char * crypt(const char *key, const char *salt);
 
 #else
 #include <_ansi.h>
 
-    void _EXFUN(encrypt, (char *block, int edflag));
-    void _EXFUN(setkey, (char *key));
-    char *_EXFUN(crypt, (const char *key, const char *salt));
+void _EXFUN(encrypt, (char *block, int edflag));
+void _EXFUN(setkey, (char *key));
+char * _EXFUN(crypt, (const char *key, const char *salt));
 #endif
 
 #ifdef __cplusplus
 }
 #endif
 
-#endif				/* _ENCRYPT_H_ */
+#endif /* _ENCRYPT_H_ */
Index: squid/include/getopt.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/getopt.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/include/getopt.h	27 Aug 2001 21:48:17 -0000	1.1.2.1.2.1
+++ squid/include/getopt.h	10 Sep 2001 19:54:51 -0000	1.1.2.1.2.2
@@ -66,8 +66,8 @@
 extern int optind;
 extern int opterr;
 extern int optopt;
-int getopt(int argc, char *const *argv, const char *optstr);
+int getopt(int argc, char* const *argv, const char *optstr);
 
 #endif /* WIN32 */
 
-#endif /* GETOPT_H */
+#endif /* GETOPT_H */
\ No newline at end of file
Index: squid/include/hash.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/hash.h,v
retrieving revision 1.1.1.1.42.1.2.1
retrieving revision 1.1.1.1.42.1.2.2
diff -u -r1.1.1.1.42.1.2.1 -r1.1.1.1.42.1.2.2
--- squid/include/hash.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.42.1.2.1
+++ squid/include/hash.h	10 Sep 2001 19:54:51 -0000	1.1.1.1.42.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: hash.h,v 1.1.1.1.42.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: hash.h,v 1.1.1.1.42.1.2.2 2001/09/10 19:54:51 serassio Exp $
  */
 
 typedef void HASHFREE(void *);
@@ -8,14 +8,12 @@
 typedef struct _hash_link hash_link;
 typedef struct _hash_table hash_table;
 
-struct _hash_link
-{
+struct _hash_link {
     char *key;
     hash_link *next;
 };
 
-struct _hash_table
-{
+struct _hash_table {
     hash_link **buckets;
     HASHCMP *cmp;
     HASHHASH *hash;
@@ -56,4 +54,4 @@
  *  HASH_SIZE 33493             // prime number < 32768
  *  HASH_SIZE 65357             // prime number < 65536
  */
-#define  DEFAULT_HASH_SIZE 7951	/* prime number < 8192 */
+#define  DEFAULT_HASH_SIZE 7951 /* prime number < 8192 */
Index: squid/include/heap.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/heap.h,v
retrieving revision 1.1.1.1.2.1.2.1
retrieving revision 1.1.1.1.2.1.2.2
diff -u -r1.1.1.1.2.1.2.1 -r1.1.1.1.2.1.2.2
--- squid/include/heap.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.2.1.2.1
+++ squid/include/heap.h	10 Sep 2001 19:54:51 -0000	1.1.1.1.2.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: heap.h,v 1.1.1.1.2.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: heap.h,v 1.1.1.1.2.1.2.2 2001/09/10 19:54:51 serassio Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -57,13 +57,11 @@
  * it can be quickly found in its heap, and a pointer to a data object that
  * key_func can generate a key from.
  */
-typedef struct _heap_node
-{
+typedef struct _heap_node {
     heap_key key;
     unsigned long id;
     heap_t data;
-}
-heap_node;
+} heap_node;
 
 
 /*
@@ -71,16 +69,14 @@
  * (array length), the index of the last heap element, and a key generation
  * function.  Also stores aging factor for this heap.
  */
-typedef struct _heap
-{
+typedef struct _heap {
     heap_mutex_t lock;
     unsigned long size;
     unsigned long last;
     heap_key_func *gen_key;	/* key generator for heap */
     heap_key age;		/* aging factor for heap */
     heap_node **nodes;
-}
-heap;
+} heap;
 
 /****************************************************************************
  * Public functions
Index: squid/include/md5.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/md5.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/md5.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/md5.h	10 Sep 2001 19:54:51 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: md5.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: md5.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:54:51 serassio Exp $
  */
 
 #ifndef MD5_H
@@ -30,13 +30,11 @@
  */
 
 /* MD5 context. */
-typedef struct
-{
+typedef struct {
     u_num32 state[4];		/* state (ABCD) */
     u_num32 count[2];		/* number of bits, modulo 2^64 (lsb first) */
     unsigned char buffer[64];	/* input buffer */
-}
-MD5_CTX;
+} MD5_CTX;
 
 void MD5Init(MD5_CTX *);
 void MD5Update(MD5_CTX *, unsigned char *, unsigned int);
Index: squid/include/parse.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/parse.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/parse.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/parse.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: parse.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: parse.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 #ifndef _HAVE_PARSE_H_
@@ -33,8 +33,7 @@
 /*
  * A linked list of tag-value pairs for enumerated integers.
  */
-struct enum_list
-{
+struct enum_list {
     struct enum_list *next;
     int value;
     char *label;
@@ -43,8 +42,7 @@
 /*
  * A tree in the format of the tree structure of the MIB.
  */
-struct snmp_mib_tree
-{
+struct snmp_mib_tree {
     struct snmp_mib_tree *child_list;	/* list of children of this node */
     struct snmp_mib_tree *next_peer;	/* Next node in list of peers */
     struct snmp_mib_tree *parent;
@@ -69,8 +67,7 @@
 #define TYPE_NULL	    10
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     void init_mib(char *);
Index: squid/include/radix.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/radix.h,v
retrieving revision 1.1.1.1.42.2.2.1
retrieving revision 1.1.1.1.42.2.2.2
diff -u -r1.1.1.1.42.2.2.1 -r1.1.1.1.42.2.2.2
--- squid/include/radix.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.42.2.2.1
+++ squid/include/radix.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.42.2.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.h,v 1.1.1.1.42.2.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: radix.h,v 1.1.1.1.42.2.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 /*
@@ -47,34 +47,27 @@
  * Radix search tree node layout.
  */
 
-struct radix_node
-{
+struct radix_node {
     struct radix_mask *rn_mklist;	/* list of masks contained in subtree */
     struct radix_node *rn_p;	/* parent */
     short rn_b;			/* bit offset; -1-index(netmask) */
     char rn_bmask;		/* node: mask for bit test */
-    unsigned char rn_flags;	/* enumerated next */
+    unsigned char rn_flags;		/* enumerated next */
 #define RNF_NORMAL	1	/* leaf contains normal route */
 #define RNF_ROOT	2	/* leaf is root leaf for tree */
 #define RNF_ACTIVE	4	/* This node is alive (for rtfree) */
-    union
-    {
-	struct
-	{			/* leaf only data: */
-	    char *rn_Key;	/* object of search */
-	    char *rn_Mask;	/* netmask, if present */
+    union {
+	struct {		/* leaf only data: */
+	    char * rn_Key;	/* object of search */
+	    char * rn_Mask;	/* netmask, if present */
 	    struct radix_node *rn_Dupedkey;
-	}
-	rn_leaf;
-	struct
-	{			/* node only data: */
+	} rn_leaf;
+	struct {		/* node only data: */
 	    int rn_Off;		/* where to start compare */
 	    struct radix_node *rn_L;	/* progeny */
 	    struct radix_node *rn_R;	/* progeny */
-	}
-	rn_node;
-    }
-    rn_u;
+	} rn_node;
+    } rn_u;
 #ifdef RN_DEBUG
     int rn_info;
     struct radix_node *rn_twin;
@@ -93,21 +86,17 @@
  * Annotations to tree concerning potential routes applying to subtrees.
  */
 
-extern struct radix_mask
-{
+extern struct radix_mask {
     short rm_b;			/* bit offset; -1-index(netmask) */
     char rm_unused;		/* cf. rn_bmask */
-    unsigned char rm_flags;	/* cf. rn_flags */
+    unsigned char rm_flags;		/* cf. rn_flags */
     struct radix_mask *rm_mklist;	/* more masks to try */
-    union
-    {
-	char *rmu_mask;		/* the mask */
+    union {
+	char * rmu_mask;	/* the mask */
 	struct radix_node *rmu_leaf;	/* for normal routes */
-    }
-    rm_rmu;
+    } rm_rmu;
     int rm_refs;		/* # of references to this struct */
-}
-          *rn_mkfreelist;
+}         *rn_mkfreelist;
 
 #define rm_mask rm_rmu.rmu_mask
 #define rm_leaf rm_rmu.rmu_leaf	/* extra field would make 32 bytes */
@@ -121,8 +110,7 @@
 
 #define MKFree(m) { (m)->rm_mklist = rn_mkfreelist; rn_mkfreelist = (m);}
 
-struct radix_node_head
-{
+struct radix_node_head {
     struct radix_node *rnh_treetop;
     int rnh_addrsize;		/* permit, but not require fixed keys */
     int rnh_pktsize;		/* permit, but not require fixed keys */
@@ -136,7 +124,7 @@
                __P((void *v, void *mask, struct radix_node_head * head));
     struct radix_node *(*rnh_delpkt)	/* remove based on packet hdr */
                __P((void *v, void *mask, struct radix_node_head * head));
-    struct radix_node *(*rnh_matchaddr)	/* locate based on sockaddr */
+    struct radix_node *(*rnh_matchaddr)		/* locate based on sockaddr */
                __P((void *v, struct radix_node_head * head));
     struct radix_node *(*rnh_lookup)	/* locate based on sockaddr */
                __P((void *v, void *mask, struct radix_node_head * head));
@@ -159,14 +147,12 @@
 int rn_refines __P((void *, void *));
 int rn_walktree __P((struct radix_node_head *, int (*)(), void *));
 struct radix_node
-    *rn_addmask __P((void *, int, int)), *rn_addroute __P((void *, void *,
-	struct radix_node_head *, struct radix_node[2])),
-    *rn_delete __P((void *, void *, struct radix_node_head *)),
-    *rn_insert __P((void *, struct radix_node_head *, int *,
-	struct radix_node[2])), *rn_match __P((void *,
-	struct radix_node_head *)), *rn_newpair __P((void *, int,
-	struct radix_node[2])), *rn_search __P((void *, struct radix_node *)),
-    *rn_search_m __P((void *, struct radix_node *, void *));
+          *rn_addmask __P((void *, int, int)), *rn_addroute __P((void *, void *, struct radix_node_head *,
+	struct radix_node[2])), *rn_delete __P((void *, void *, struct radix_node_head *)),
+          *rn_insert __P((void *, struct radix_node_head *, int *,
+	struct radix_node[2])), *rn_match __P((void *, struct radix_node_head *)),
+          *rn_newpair __P((void *, int, struct radix_node[2])), *rn_search __P((void *, struct radix_node *)),
+          *rn_search_m __P((void *, struct radix_node *, void *));
 
 #ifndef min
 #define min(x,y) ((x)<(y)? (x) : (y))
Index: squid/include/rfc1035.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/rfc1035.h,v
retrieving revision 1.1.1.1.4.1.2.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.2
diff -u -r1.1.1.1.4.1.2.1.2.1 -r1.1.1.1.4.1.2.1.2.2
--- squid/include/rfc1035.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.4.1.2.1.2.1
+++ squid/include/rfc1035.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.4.1.2.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1035.h,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: rfc1035.h,v 1.1.1.1.4.1.2.1.2.2 2001/09/10 19:58:59 serassio Exp $
  *
  * AUTHOR: Harvest Derived
  *
@@ -44,8 +44,7 @@
 /* rfc1035 - DNS */
 #define RFC1035_MAXHOSTNAMESZ 128
 typedef struct _rfc1035_rr rfc1035_rr;
-struct _rfc1035_rr
-{
+struct _rfc1035_rr {
     char name[RFC1035_MAXHOSTNAMESZ];
     unsigned short type;
     unsigned short class;
@@ -54,12 +53,16 @@
     char *rdata;
 };
 extern unsigned short rfc1035BuildAQuery(const char *hostname,
-    char *buf, size_t * szp);
+    char *buf,
+    size_t * szp);
 extern unsigned short rfc1035BuildPTRQuery(const struct in_addr,
-    char *buf, size_t * szp);
+    char *buf,
+    size_t * szp);
 extern unsigned short rfc1035RetryQuery(char *);
 extern int rfc1035AnswersUnpack(const char *buf,
-    size_t sz, rfc1035_rr ** records, unsigned short *id);
+    size_t sz,
+    rfc1035_rr ** records,
+    unsigned short *id);
 extern void rfc1035RRDestroy(rfc1035_rr * rr, int n);
 extern int rfc1035_errno;
 extern const char *rfc1035_error_message;
Index: squid/include/snmp_api.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_api.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_api.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_api.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_api.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 #ifndef _SNMP_API_H_
@@ -52,20 +52,21 @@
 #define SNMP_DEFAULT_MACREPEATERS   0
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     /* Parse the buffer pointed to by arg3, of length arg4, into pdu arg2.
      *
      * Returns the community of the incoming PDU, or NULL
      */
-    u_char *snmp_parse(struct snmp_session *, struct snmp_pdu *, u_char *, int);
+    u_char *snmp_parse(struct snmp_session *, struct snmp_pdu *,
+	u_char *, int);
 
 /* Encode pdu arg2 into buffer arg3.  arg4 contains the size of
  * the buffer.
  */
-    int snmp_build(struct snmp_session *, struct snmp_pdu *, u_char *, int *);
+    int snmp_build(struct snmp_session *, struct snmp_pdu *,
+	u_char *, int *);
 
 /*
  * struct snmp_session *snmp_open(session)
Index: squid/include/snmp_api_error.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api_error.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_api_error.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_api_error.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_api_error.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_api_error.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  * 
  ***************************************************************************/
 
@@ -52,8 +52,7 @@
 #define SNMPERR_LAST            -16	/* Last error message */
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
 /* extern int snmp_errno */
Index: squid/include/snmp_api_util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api_util.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_api_util.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_api_util.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_api_util.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_api_util.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 #ifndef _SNMP_API_UTIL_H_
@@ -37,8 +37,7 @@
 /*
  * A list of all the outstanding requests for a particular session.
  */
-struct request_list
-{
+struct request_list {
     struct request_list *next_request;
     int request_id;		/* request id */
     int retries;		/* Number of retries */
@@ -51,15 +50,13 @@
 /*
  * The list of active/open sessions.
  */
-struct session_list
-{
+struct session_list {
     struct session_list *next;
     struct snmp_session *session;
     struct snmp_internal_session *internal;
 };
 
-struct snmp_internal_session
-{
+struct snmp_internal_session {
     int sd;			/* socket descriptor for this connection */
     ipaddr addr;		/* address of connected peer */
     struct request_list *requests;	/* Info about outstanding requests */
@@ -86,13 +83,11 @@
 #endif /* HAVE_SRAND */
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     int snmp_get_socket_session(struct snmp_session *session_);
-    int snmp_select_info_session(struct snmp_session *session_,
-	struct timeval *timeout);
+    int snmp_select_info_session(struct snmp_session *session_, struct timeval *timeout);
     int snmp_timeout_session(struct snmp_session *sp_);
 
 #ifdef __cplusplus
Index: squid/include/snmp_client.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_client.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_client.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_client.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_client.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_client.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 #ifndef _SNMP_CLIENT_H_
@@ -29,9 +29,8 @@
 ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 SOFTWARE.
 ******************************************************************/
-struct synch_state
-{
-    int waiting;
+struct synch_state {
+    int	waiting;
     int status;
 /* status codes */
 #define STAT_SUCCESS	0
@@ -42,25 +41,25 @@
 };
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
-    extern struct synch_state snmp_synch_state;
+extern struct synch_state snmp_synch_state;
 
 /* Synchronize Input with Agent */
-    int snmp_synch_input(int, struct snmp_session *, int,
-	struct snmp_pdu *, void *);
+int  snmp_synch_input(int, struct snmp_session *, int,
+		     struct snmp_pdu *, void *);
 
 /* Synchronize Response with Agent */
-    int snmp_synch_response(struct snmp_session *, struct snmp_pdu *,
-	struct snmp_pdu **);
+int  snmp_synch_response(struct snmp_session *, struct snmp_pdu *, 
+			struct snmp_pdu **);
 
 /* Synchronize Setup */
-    void snmp_synch_setup(struct snmp_session *);
+void snmp_synch_setup(struct snmp_session *);
 
 #ifdef __cplusplus
 }
 #endif
 
-#endif				/* _SNMP_CLIENT_H_ */
+#endif /* _SNMP_CLIENT_H_ */
+
Index: squid/include/snmp_coexist.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_coexist.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_coexist.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_coexist.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -26,13 +26,12 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_coexist.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_coexist.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  * 
  **********************************************************************/
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     int snmp_coexist_V2toV1(struct snmp_pdu *);
Index: squid/include/snmp_debug.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_debug.h,v
retrieving revision 1.1.1.2.44.1.2.1
retrieving revision 1.1.1.2.44.1.2.2
diff -u -r1.1.1.2.44.1.2.1 -r1.1.1.2.44.1.2.2
--- squid/include/snmp_debug.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.44.1.2.1
+++ squid/include/snmp_debug.h	10 Sep 2001 19:58:59 -0000	1.1.1.2.44.1.2.2
@@ -1,12 +1,12 @@
 /*
- * $Id: snmp_debug.h,v 1.1.1.2.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_debug.h,v 1.1.1.2.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 #ifndef SNMP_DEBUG_H
 #define SNMP_DEBUG_H
 
 #if STDC_HEADERS
-extern void snmplib_debug(int, char *, ...);
+extern void snmplib_debug(int, char *,...);
 #else
 extern void snmplib_debug(va_alist);
 #endif
Index: squid/include/snmp_error.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_error.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_error.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_error.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp_error.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_error.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  * 
  **********************************************************************/
 
@@ -56,8 +56,7 @@
 
 #ifdef __cplusplus
 
-extern "C"
-{
+extern "C" {
 #endif
 
     char *snmp_errstring(int);
Index: squid/include/snmp_impl.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_impl.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_impl.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_impl.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_impl.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_impl.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 #ifndef _SNMP_IMPL_H_
@@ -85,8 +85,7 @@
 #define NULLOBJ	    ASN_NULL
 #endif
 
-struct trapVar
-{
+struct trapVar {
     oid *varName;
     int varNameLen;
     u_char varType;
Index: squid/include/snmp_msg.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_msg.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_msg.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_msg.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_msg.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_msg.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  * 
  **********************************************************************/
 
@@ -34,8 +34,7 @@
 #define SNMP_VERSION_2	    1	/* RFC 1901 */
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     u_char *snmp_msg_Encode(u_char *, int *, u_char *,
Index: squid/include/snmp_pdu.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_pdu.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_pdu.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_pdu.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -1,3 +1,4 @@
+
 /* -*- c++ -*- */
 #ifndef _SNMP_PDU_H_
 #define _SNMP_PDU_H_
@@ -26,15 +27,14 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_pdu.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_pdu.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  * 
  **********************************************************************/
 
 typedef struct sockaddr_in ipaddr;
 
 /* An SNMP PDU */
-struct snmp_pdu
-{
+struct snmp_pdu {
     int command;		/* Type of this PDU */
     ipaddr address;		/* Address of peer */
 
@@ -58,8 +58,7 @@
 };
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     struct snmp_pdu *snmp_pdu_create(int);
Index: squid/include/snmp_session.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_session.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_session.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_session.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -24,12 +24,11 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp_session.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_session.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  * 
  **********************************************************************/
 
-struct snmp_session
-{
+struct snmp_session {
     int Version;		/* SNMP Version for this session */
 
 
Index: squid/include/snmp_util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_util.h,v
retrieving revision 1.1.1.1.44.1.2.1
retrieving revision 1.1.1.1.44.1.2.2
diff -u -r1.1.1.1.44.1.2.1 -r1.1.1.1.44.1.2.2
--- squid/include/snmp_util.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
+++ squid/include/snmp_util.h	10 Sep 2001 19:58:59 -0000	1.1.1.1.44.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_util.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_util.h,v 1.1.1.1.44.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 #ifndef SNMP_UTIL_H
@@ -31,35 +31,41 @@
  * ** Function to safely copy a string, and ensure the last
  * ** character is always '\0'.
  */
-void strcpy_safe(char *str, int str_len, char *val);
+void
+     strcpy_safe(char *str, int str_len, char *val);
 
 
 /*
  * ** Function to get IP address of this agent
  * ** WARNING: this scans all interfaces (slow)
  */
-u_long Util_local_ip_address(void);
+u_long
+Util_local_ip_address(void);
 
 /*
  * ** Function to get the current time in seconds
  */
-long Util_time_now(void);
+long
+     Util_time_now(void);
 
 /*
  * ** Function to determine how long the agent has been running
  * *  (WARNING: this seems rather slow)
  */
-long Util_time_running();
+long
+     Util_time_running();
 
 /*
  * ** Read data from file
  */
-int Util_file_read(char *file, int offset, char *data, int dataSz);
+int
+    Util_file_read(char *file, int offset, char *data, int dataSz);
 
 /*
  * ** Write data into file
  */
-int Util_file_write(char *file, int offset, char *data, int dataSz);
+int
+    Util_file_write(char *file, int offset, char *data, int dataSz);
 
 
 /* ---------------------------------------------------------------------- */
Index: squid/include/snmp_vars.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_vars.h,v
retrieving revision 1.1.1.2.30.1.2.1
retrieving revision 1.1.1.2.30.1.2.2
diff -u -r1.1.1.2.30.1.2.1 -r1.1.1.2.30.1.2.2
--- squid/include/snmp_vars.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.30.1.2.1
+++ squid/include/snmp_vars.h	10 Sep 2001 19:58:59 -0000	1.1.1.2.30.1.2.2
@@ -26,29 +26,25 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_vars.h,v 1.1.1.2.30.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: snmp_vars.h,v 1.1.1.2.30.1.2.2 2001/09/10 19:58:59 serassio Exp $
  * 
  **********************************************************************/
 
-struct variable_list
-{
+struct variable_list {
     struct variable_list *next_variable;	/* NULL for last variable */
     oid *name;			/* Object identifier of variable */
     int name_length;		/* number of subid's in name */
     u_char type;		/* ASN type of variable */
-    union
-    {				/* value of variable */
+    union {			/* value of variable */
 	int *integer;
 	u_char *string;
 	oid *objid;
-    }
-    val;
+    } val;
     int val_len;
 };
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
     struct variable_list *snmp_var_new(oid *, int);
@@ -56,17 +52,17 @@
     struct variable_list *snmp_var_clone(struct variable_list *);
     void snmp_var_free(struct variable_list *);
 
-    u_char *snmp_var_EncodeVarBind(u_char *, int *, struct variable_list *,
-	int);
-    u_char *snmp_var_DecodeVarBind(u_char *, int *, struct variable_list **,
-	int);
+    u_char *snmp_var_EncodeVarBind(u_char *, int *, struct variable_list *, int);
+    u_char *snmp_var_DecodeVarBind(u_char *, int *, struct variable_list **, int);
 
 #ifdef __cplusplus
 }
 
 #endif
 #define MAX_NAME_LEN	64	/* number of subid's in a objid *//*      *RFC 1902:Structure of Management Information for SNMPv2      *
-      *Defined Types * */
+      *Defined Types
+*
+      */
 #define SMI_INTEGER     ASN_INTEGER
 #define SMI_STRING      ASN_OCTET_STR
 #define SMI_OBJID       ASN_OBJECT_ID
Index: squid/include/splay.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/splay.h,v
retrieving revision 1.1.1.2.2.1.2.1
retrieving revision 1.1.1.2.2.1.2.2
diff -u -r1.1.1.2.2.1.2.1 -r1.1.1.2.2.1.2.2
--- squid/include/splay.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.2.1.2.1
+++ squid/include/splay.h	10 Sep 2001 19:58:59 -0000	1.1.1.2.2.1.2.2
@@ -1,15 +1,13 @@
 /*
- * $Id: splay.h,v 1.1.1.2.2.1.2.1 2001/08/27 21:48:17 tolsty Exp $
+ * $Id: splay.h,v 1.1.1.2.2.1.2.2 2001/09/10 19:58:59 serassio Exp $
  */
 
 
-typedef struct _splay_node
-{
+typedef struct _splay_node {
     void *data;
     struct _splay_node *left;
     struct _splay_node *right;
-}
-splayNode;
+} splayNode;
 
 typedef int SPLAYCMP(const void *a, const void *b);
 typedef void SPLAYWALKEE(void *nodedata, void *state);
